Bug 834650 - The wallaby-agent fails to start with corrupted database
The wallaby-agent fails to start with corrupted database
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: wallaby (Show other bugs)
2.1
Unspecified Unspecified
unspecified Severity unspecified
: 2.2
: ---
Assigned To: Will Benton
Tomas Rusnak
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-22 12:38 EDT by Robert Rati
Modified: 2012-09-25 05:00 EDT (History)
6 users (show)

See Also:
Fixed In Version: wallaby-0.14.3-1 (backported to wallaby-0.12.5-10)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-19 14:26:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
wallaby config db (137.00 KB, application/octet-stream)
2012-06-22 12:40 EDT, Robert Rati
no flags Details
wallaby snapshot db (255.00 KB, application/octet-stream)
2012-06-22 12:40 EDT, Robert Rati
no flags Details

  None (edit)
Description Robert Rati 2012-06-22 12:38:51 EDT
Description of problem:
Attempting to start wallaby with the attached db files results in wallaby producing the following error in /var/log/messages:

/usr/bin/wallaby-agent[2532]: agent exiting with exception #<NameError: undefined local variable or method `s' for main:Object>

And refusing to start.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Robert Rati 2012-06-22 12:40:17 EDT
Created attachment 593792 [details]
wallaby config db
Comment 2 Robert Rati 2012-06-22 12:40:43 EDT
Created attachment 593793 [details]
wallaby snapshot db
Comment 5 Tomas Rusnak 2012-07-18 08:09:59 EDT
Reproduced on:
Jul 18 08:00:30 rhel5_64 /usr/bin/wallaby-agent[17080]: agent exiting with exception #<NameError: undefined local variable or method `s' for main:Object>

# rpm -qa wallaby
wallaby-0.14.1-1.el5

Configuration files from bugzilla copied and tested with:
wallaby-0.12.5-10.el6.noarch
wallaby-0.12.5-10.el5.noarch

Jul 18 08:10:03 rhel5_64 /usr/bin/wallaby-agent[17360]: storing configuration to /var/lib/wallaby/config.db
Jul 18 08:10:03 rhel5_64 /usr/bin/wallaby-agent[17360]: storing snapshots to /var/lib/wallaby/snap.db

>>> VERIFIED

Note You need to log in before you can comment on or make changes to this bug.